Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80118 - rpm 4.1 segmentation fault!
Summary: rpm 4.1 segmentation fault!
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm
Version: 8.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-20 06:15 UTC by percy lau
Modified: 2007-04-18 16:49 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-04-19 19:05:25 UTC


Attachments (Terms of Use)

Description percy lau 2002-12-20 06:15:19 UTC
Description of problem:
rpm install error!

Version-Release number of selected component (if applicable):
rehat 8.0 
rpm 4.1

How reproducible:


Steps to Reproduce:
1.rpm --initdb --root /home/test
2.rpm -ivh --root /home/test foo.i368.rpm
3.
    
Actual results:
Perparing...  ########################[100%]
Segmentation fault

Expected results:


Additional info:

Comment 1 Michael Lee Yohe 2002-12-20 15:22:21 UTC
Please create an strace output of the RPM process to reveal where RPM actually
failed.

# strace rpm <parameters> 2> rpm_stderr.txt

Attach rpm_stderr.txt to this bug.

Comment 2 Jeff Johnson 2002-12-21 00:54:37 UTC
Better than an strace:

Try using -ivv rather than -ivh, and attach output here

Comment 3 Need Real Name 2003-06-23 20:53:58 UTC
I can reproduce, upgraded from RedHat 8.0 with -Uvh glibc-common and then glibc
(both from 9.0 updates), all rpm commands thereafter will cause segmentation fault.

Comment 4 Need Real Name 2003-06-23 20:56:36 UTC
Ahem, all rpm -i and -e for package installation/removal commands, that is.
Have also tried the rpm rebuild procedure to no avail.
Please please help 

Comment 5 Need Real Name 2003-06-23 22:09:57 UTC
Yeehaa! found the solution:
030623 *** Found clue in bugzilla #86197

 Download all the below RPMs
 rpm-4.2
 elfutils-0.76
 elfutils-libelf-0.76
 popt-1.7
 nscd-2.3.2

 Some pseudocode here
 cd /
 for each foo
   rpm2cpio /downloads/foo > /home/foo
   cpio -i < /home/foo
 do
030623 Reinstalled glibc-2.3.2-27-9

Now RPM works again, and the guy responsible for glibc not including the above
dependencies shall be b---slapped...

/Patric


Note You need to log in before you can comment on or make changes to this bug.